#### D.15.31.14 TropCovandMaps

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  TropCovandMaps(G,aa,O,Lw,n); G graph, aa list, O list, Lw list, n int

Assume:
  G is a pearl chain, aa is a partition of the degree of the graph G, O is a given ordering of the vertices of G, Lw is a list of leaks and white vertices in G. NOTE: Requires pdflatex to be installed.

Return:
  Depending on n this procedure returns either a pdf or a latex file for the curled pearl chains of an elliptic curve and their corresponding stable maps of ExP1 for a fixed ordering of the vertices of the source curve and a fixed partition of its degree.

Theory:
  For a given ordering of the vertices of G, this function computes a list of commands that can be executed in TikZ. Each list represents a cover of the elliptic curve E and its corresponding stable map of ExP1. Since G is a pearl chain this procedure draws the black and white pearls of G accordingly using information from list lw.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r=0,(x1,x2,x3,x4,x5),dp;
    graph P=makeGraph(list(1,2,3,4,5),list(list(1,2),list(2,3),list(3,4),list(4,1),list(1,5),list(5,3)));
    graph P1=makeGraph(list(1,2,3,4),list(list(1,2),list(2,3),list(3,4),list(4,1)));
    //graphs P and P1 are pearl chains
    TropCovandMaps(P,list(0,0,0,1,2,0),list(x1,x2,x3,x4,x5),list(0,0,0,0,0,1,3), 0);

User manual for Singular version 4.4.1, 2025, generated by texi2html.